# Class Thelia\Model\om\BaseOrderQuery | thelia

# Class BaseOrderQuery

Base class that represents a query for the 'order' table.

  ModelCriteria
  Thelia\Model\om\BaseOrderQuery

#### Direct known subclasses

Thelia\Model\OrderQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseOrderQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\Order', string $modelAlias = null )`

Initializes internal state of BaseOrderQuery object.

Initializes internal state of BaseOrderQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\OrderQuery``

# `create( string $modelAlias = null, `Thelia\Model\OrderQuery`|Criteria $criteria = null )`

Returns a new OrderQuery object.

Returns a new OrderQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\OrderQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\Order`|`Thelia\Model\Order[]`|mixed`

# `findPk( mixed $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj  = $c->findPk(12, $con);

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\Order`|`Thelia\Model\Order[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\Order``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Order``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\Order`|`Thelia\Model\Order[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Order`|`Thelia\Model\Order[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\Order[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\Order[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\OrderQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByRef( string $ref = null, string $comparison = null )`

Filter the query on the ref column

Filter the query on the ref column

Example usage:

    $query->filterByRef('fooValue');   // WHERE ref = 'fooValue'
    $query->filterByRef('%fooValue%'); // WHERE ref LIKE '%fooValue%'

#### Parameters

$ref
  `string`
  $ref The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByCustomerId( mixed $customerId = null, string $comparison = null )`

Filter the query on the customer_id column

Filter the query on the customer_id column

Example usage:

    $query->filterByCustomerId(1234); // WHERE customer_id = 1234
    $query->filterByCustomerId(array(12, 34)); // WHERE customer_id IN (12, 34)
    $query->filterByCustomerId(array('min' => 12)); // WHERE customer_id > 12

#### Parameters

$customerId
  `mixed`
  $customerId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseOrderQuery::filterByCustomer()``

`public `Thelia\Model\OrderQuery``

# `filterByAddressInvoice( mixed $addressInvoice = null, string $comparison = null )`

Filter the query on the address_invoice column

Filter the query on the address_invoice column

Example usage:

    $query->filterByAddressInvoice(1234); // WHERE address_invoice = 1234
    $query->filterByAddressInvoice(array(12, 34)); // WHERE address_invoice IN (12, 34)
    $query->filterByAddressInvoice(array('min' => 12)); // WHERE address_invoice > 12

#### Parameters

$addressInvoice
  `mixed`
  $addressInvoice The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseOrderQuery::filterByOrderAddressRelatedByAddressInvoice()``

`public `Thelia\Model\OrderQuery``

# `filterByAddressDelivery( mixed $addressDelivery = null, string $comparison = null )`

Filter the query on the address_delivery column

Filter the query on the address_delivery column

Example usage:

    $query->filterByAddressDelivery(1234); // WHERE address_delivery = 1234
    $query->filterByAddressDelivery(array(12, 34)); // WHERE address_delivery IN (12, 34)
    $query->filterByAddressDelivery(array('min' => 12)); // WHERE address_delivery > 12

#### Parameters

$addressDelivery
  `mixed`
  $addressDelivery The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseOrderQuery::filterByOrderAddressRelatedByAddressDelivery()``

`public `Thelia\Model\OrderQuery``

# `filterByInvoiceDate( mixed $invoiceDate = null, string $comparison = null )`

Filter the query on the invoice_date column

Filter the query on the invoice_date column

Example usage:

    $query->filterByInvoiceDate('2011-03-14'); // WHERE invoice_date = '2011-03-14'
    $query->filterByInvoiceDate('now'); // WHERE invoice_date = '2011-03-14'
    $query->filterByInvoiceDate(array('max' => 'yesterday')); // WHERE invoice_date > '2011-03-13'

#### Parameters

$invoiceDate
  `mixed`
  $invoiceDate The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByCurrencyId( mixed $currencyId = null, string $comparison = null )`

Filter the query on the currency_id column

Filter the query on the currency_id column

Example usage:

    $query->filterByCurrencyId(1234); // WHERE currency_id = 1234
    $query->filterByCurrencyId(array(12, 34)); // WHERE currency_id IN (12, 34)
    $query->filterByCurrencyId(array('min' => 12)); // WHERE currency_id > 12

#### Parameters

$currencyId
  `mixed`
  $currencyId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseOrderQuery::filterByCurrency()``

`public `Thelia\Model\OrderQuery``

# `filterByCurrencyRate( mixed $currencyRate = null, string $comparison = null )`

Filter the query on the currency_rate column

Filter the query on the currency_rate column

Example usage:

    $query->filterByCurrencyRate(1234); // WHERE currency_rate = 1234
    $query->filterByCurrencyRate(array(12, 34)); // WHERE currency_rate IN (12, 34)
    $query->filterByCurrencyRate(array('min' => 12)); // WHERE currency_rate > 12

#### Parameters

$currencyRate
  `mixed`
  $currencyRate The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByTransaction( string $transaction = null, string $comparison = null )`

Filter the query on the transaction column

Filter the query on the transaction column

Example usage:

    $query->filterByTransaction('fooValue');   // WHERE transaction = 'fooValue'
    $query->filterByTransaction('%fooValue%'); // WHERE transaction LIKE '%fooValue%'

#### Parameters

$transaction
  `string`
  $transaction The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByDeliveryNum( string $deliveryNum = null, string $comparison = null )`

Filter the query on the delivery_num column

Filter the query on the delivery_num column

Example usage:

    $query->filterByDeliveryNum('fooValue');   // WHERE delivery_num = 'fooValue'
    $query->filterByDeliveryNum('%fooValue%'); // WHERE delivery_num LIKE '%fooValue%'

#### Parameters

$deliveryNum
  `string`
  $deliveryNum The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByInvoice( string $invoice = null, string $comparison = null )`

Filter the query on the invoice column

Filter the query on the invoice column

Example usage:

    $query->filterByInvoice('fooValue');   // WHERE invoice = 'fooValue'
    $query->filterByInvoice('%fooValue%'); // WHERE invoice LIKE '%fooValue%'

#### Parameters

$invoice
  `string`
  $invoice The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByPostage( mixed $postage = null, string $comparison = null )`

Filter the query on the postage column

Filter the query on the postage column

Example usage:

    $query->filterByPostage(1234); // WHERE postage = 1234
    $query->filterByPostage(array(12, 34)); // WHERE postage IN (12, 34)
    $query->filterByPostage(array('min' => 12)); // WHERE postage > 12

#### Parameters

$postage
  `mixed`
  $postage The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByPayment( string $payment = null, string $comparison = null )`

Filter the query on the payment column

Filter the query on the payment column

Example usage:

    $query->filterByPayment('fooValue');   // WHERE payment = 'fooValue'
    $query->filterByPayment('%fooValue%'); // WHERE payment LIKE '%fooValue%'

#### Parameters

$payment
  `string`
  $payment The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByCarrier( string $carrier = null, string $comparison = null )`

Filter the query on the carrier column

Filter the query on the carrier column

Example usage:

    $query->filterByCarrier('fooValue');   // WHERE carrier = 'fooValue'
    $query->filterByCarrier('%fooValue%'); // WHERE carrier LIKE '%fooValue%'

#### Parameters

$carrier
  `string`
  $carrier The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByStatusId( mixed $statusId = null, string $comparison = null )`

Filter the query on the status_id column

Filter the query on the status_id column

Example usage:

    $query->filterByStatusId(1234); // WHERE status_id = 1234
    $query->filterByStatusId(array(12, 34)); // WHERE status_id IN (12, 34)
    $query->filterByStatusId(array('min' => 12)); // WHERE status_id > 12

#### Parameters

$statusId
  `mixed`
  $statusId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseOrderQuery::filterByOrderStatus()``

`public `Thelia\Model\OrderQuery``

# `filterByLang( string $lang = null, string $comparison = null )`

Filter the query on the lang column

Filter the query on the lang column

Example usage:

    $query->filterByLang('fooValue');   // WHERE lang = 'fooValue'
    $query->filterByLang('%fooValue%'); // WHERE lang LIKE '%fooValue%'

#### Parameters

$lang
  `string`
  $lang The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `filterByCurrency( `Thelia\Model\Currency`|PropelObjectCollection $currency, string $comparison = null )`

Filter the query by a related Currency object

Filter the query by a related Currency object

#### Parameters

$currency
  ``Thelia\Model\Currency`|PropelObjectCollection`
  $currency The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\OrderQuery``

# `joinCurrency( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the Currency relation

Adds a JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\CurrencyQuery``

# `useCurrencyQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the Currency relation Currency object

Use the Currency relation Currency object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CurrencyQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\OrderQuery``

# `filterByCustomer( `Thelia\Model\Customer`|PropelObjectCollection $customer, string $comparison = null )`

Filter the query by a related Customer object

Filter the query by a related Customer object

#### Parameters

$customer
  ``Thelia\Model\Customer`|PropelObjectCollection`
  $customer The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\OrderQuery``

# `joinCustomer( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Adds a JOIN clause to the query using the Customer relation

Adds a JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\CustomerQuery``

# `useCustomerQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Use the Customer relation Customer object

Use the Customer relation Customer object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CustomerQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\OrderQuery``

# `filterByOrderAddressRelatedByAddressInvoice( `Thelia\Model\OrderAddress`|PropelObjectCollection $orderAddress, string $comparison = null )`

Filter the query by a related OrderAddress object

Filter the query by a related OrderAddress object

#### Parameters

$orderAddress
  ``Thelia\Model\OrderAddress`|PropelObjectCollection`
  $orderAddress The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\OrderQuery``

# `joinOrderAddressRelatedByAddressInvoice( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

Adds a JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `useOrderAddressRelatedByAddressInvoiceQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the OrderAddressRelatedByAddressInvoice relation OrderAddress object

Use the OrderAddressRelatedByAddressInvoice relation OrderAddress object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderAddressQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\OrderQuery``

# `filterByOrderAddressRelatedByAddressDelivery( `Thelia\Model\OrderAddress`|PropelObjectCollection $orderAddress, string $comparison = null )`

Filter the query by a related OrderAddress object

Filter the query by a related OrderAddress object

#### Parameters

$orderAddress
  ``Thelia\Model\OrderAddress`|PropelObjectCollection`
  $orderAddress The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\OrderQuery``

# `joinOrderAddressRelatedByAddressDelivery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

Adds a JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `useOrderAddressRelatedByAddressDeliveryQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the OrderAddressRelatedByAddressDelivery relation OrderAddress object

Use the OrderAddressRelatedByAddressDelivery relation OrderAddress object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderAddressQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\OrderQuery``

# `filterByOrderStatus( `Thelia\Model\OrderStatus`|PropelObjectCollection $orderStatus, string $comparison = null )`

Filter the query by a related OrderStatus object

Filter the query by a related OrderStatus object

#### Parameters

$orderStatus
  ``Thelia\Model\OrderStatus`|PropelObjectCollection`
  $orderStatus The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\OrderQuery``

# `joinOrderStatus( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the OrderStatus relation

Adds a JOIN clause to the query using the OrderStatus relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderStatusQuery``

# `useOrderStatusQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the OrderStatus relation OrderStatus object

Use the OrderStatus relation OrderStatus object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderStatusQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\OrderQuery``

# `filterByOrderProduct( `Thelia\Model\OrderProduct`|PropelObjectCollection $orderProduct, string $comparison = null )`

Filter the query by a related OrderProduct object

Filter the query by a related OrderProduct object

#### Parameters

$orderProduct
  ``Thelia\Model\OrderProduct`|PropelObjectCollection`
  $orderProduct the related object to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\OrderQuery``

# `joinOrderProduct( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Adds a JOIN clause to the query using the OrderProduct relation

Adds a JOIN clause to the query using the OrderProduct relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderProductQuery``

# `useOrderProductQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Use the OrderProduct relation OrderProduct object

Use the OrderProduct relation OrderProduct object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderProductQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\OrderQuery``

# `filterByCouponOrder( `Thelia\Model\CouponOrder`|PropelObjectCollection $couponOrder, string $comparison = null )`

Filter the query by a related CouponOrder object

Filter the query by a related CouponOrder object

#### Parameters

$couponOrder
  ``Thelia\Model\CouponOrder`|PropelObjectCollection`
  $couponOrder the related object to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\OrderQuery``

# `joinCouponOrder( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Adds a JOIN clause to the query using the CouponOrder relation

Adds a JOIN clause to the query using the CouponOrder relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponOrderQuery``

# `useCouponOrderQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Use the CouponOrder relation CouponOrder object

Use the CouponOrder relation CouponOrder object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CouponOrderQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\OrderQuery``

# `prune( `Thelia\Model\Order` $order = null )`

Exclude object from result

Exclude object from result

#### Parameters

$order
  ``Thelia\Model\Order``
  $order Object to remove from the list of results

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `recentlyUpdated( integer $nbDays = 7 )`

Filter by the latest updated

Filter by the latest updated

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of the latest update in days

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `lastUpdatedFirst( )`

Order by update date desc

Order by update date desc

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `firstUpdatedFirst( )`

Order by update date asc

Order by update date asc

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `recentlyCreated( integer $nbDays = 7 )`

Filter by the latest created

Filter by the latest created

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of in days

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `lastCreatedFirst( )`

Order by create date desc

Order by create date desc

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `firstCreatedFirst( )`

Order by create date asc

Order by create date asc

#### Returns

``Thelia\Model\OrderQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\OrderQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByRef( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the ref column

Order by the ref column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByCustomerId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the customer_id column

Order by the customer_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByAddressInvoice( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the address_invoice column

Order by the address_invoice column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByAddressDelivery( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the address_delivery column

Order by the address_delivery column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByInvoiceDate( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the invoice_date column

Order by the invoice_date column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByCurrencyId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the currency_id column

Order by the currency_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByCurrencyRate( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the currency_rate column

Order by the currency_rate column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByTransaction( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the transaction column

Order by the transaction column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByDeliveryNum( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the delivery_num column

Order by the delivery_num column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByInvoice( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the invoice column

Order by the invoice column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByPostage( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the postage column

Order by the postage column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByPayment( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the payment column

Order by the payment column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByCarrier( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the carrier column

Order by the carrier column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByStatusId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the status_id column

Order by the status_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByLang( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the lang column

Order by the lang column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByRef( )`

Group by the ref column

Group by the ref column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByCustomerId( )`

Group by the customer_id column

Group by the customer_id column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByAddressInvoice( )`

Group by the address_invoice column

Group by the address_invoice column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByAddressDelivery( )`

Group by the address_delivery column

Group by the address_delivery column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByInvoiceDate( )`

Group by the invoice_date column

Group by the invoice_date column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByCurrencyId( )`

Group by the currency_id column

Group by the currency_id column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByCurrencyRate( )`

Group by the currency_rate column

Group by the currency_rate column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByTransaction( )`

Group by the transaction column

Group by the transaction column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByDeliveryNum( )`

Group by the delivery_num column

Group by the delivery_num column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByInvoice( )`

Group by the invoice column

Group by the invoice column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByPostage( )`

Group by the postage column

Group by the postage column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByPayment( )`

Group by the payment column

Group by the payment column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByCarrier( )`

Group by the carrier column

Group by the carrier column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByStatusId( )`

Group by the status_id column

Group by the status_id column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByLang( )`

Group by the lang column

Group by the lang column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `leftJoinCurrency( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the Currency relation

Adds a LEFT JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `rightJoinCurrency( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the Currency relation

Adds a RIGHT JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `innerJoinCurrency( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the Currency relation

Adds a INNER JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `leftJoinCustomer( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the Customer relation

Adds a LEFT JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `rightJoinCustomer( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the Customer relation

Adds a RIGHT JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `innerJoinCustomer( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the Customer relation

Adds a INNER JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `leftJoinOrderAddressRelatedByAddressInvoice( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

Adds a LEFT JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `rightJoinOrderAddressRelatedByAddressInvoice( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

Adds a RIGHT JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `innerJoinOrderAddressRelatedByAddressInvoice( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

Adds a INNER JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `leftJoinOrderAddressRelatedByAddressDelivery( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

Adds a LEFT JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `rightJoinOrderAddressRelatedByAddressDelivery( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

Adds a RIGHT JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `innerJoinOrderAddressRelatedByAddressDelivery( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

Adds a INNER JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `leftJoinOrderStatus( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the OrderStatus relation

Adds a LEFT JOIN clause to the query using the OrderStatus relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `rightJoinOrderStatus( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the OrderStatus relation

Adds a RIGHT JOIN clause to the query using the OrderStatus relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `innerJoinOrderStatus( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the OrderStatus relation

Adds a INNER JOIN clause to the query using the OrderStatus relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `leftJoinOrderProduct( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the OrderProduct relation

Adds a LEFT JOIN clause to the query using the OrderProduct relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `rightJoinOrderProduct( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the OrderProduct relation

Adds a RIGHT JOIN clause to the query using the OrderProduct relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `innerJoinOrderProduct( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the OrderProduct relation

Adds a INNER JOIN clause to the query using the OrderProduct relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `leftJoinCouponOrder( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the CouponOrder relation

Adds a LEFT JOIN clause to the query using the CouponOrder relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `rightJoinCouponOrder( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the CouponOrder relation

Adds a RIGHT JOIN clause to the query using the CouponOrder relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\OrderQuery``

# `innerJoinCouponOrder( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the CouponOrder relation

Adds a INNER JOIN clause to the query using the CouponOrder relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderQuery``

`public `Thelia\Model\Order``

# `findOne( PropelPDO $con = null )`

Return the first Order matching the query

Return the first Order matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first Order matching the query, or a new Order object populated from the query conditions when no match is found

Return the first Order matching the query, or a new Order object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneById( integer $id = )`

Return the first Order filtered by the id column

Return the first Order filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByRef( string $ref = )`

Return the first Order filtered by the ref column

Return the first Order filtered by the ref column

#### Parameters

$ref
  `string`
  $ref

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByCustomerId( integer $customer_id = )`

Return the first Order filtered by the customer_id column

Return the first Order filtered by the customer_id column

#### Parameters

$customer_id
  `integer`
  $customer_id

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByAddressInvoice( integer $address_invoice = )`

Return the first Order filtered by the address_invoice column

Return the first Order filtered by the address_invoice column

#### Parameters

$address_invoice
  `integer`
  $address_invoice

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByAddressDelivery( integer $address_delivery = )`

Return the first Order filtered by the address_delivery column

Return the first Order filtered by the address_delivery column

#### Parameters

$address_delivery
  `integer`
  $address_delivery

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByInvoiceDate( string $invoice_date = )`

Return the first Order filtered by the invoice_date column

Return the first Order filtered by the invoice_date column

#### Parameters

$invoice_date
  `string`
  $invoice_date

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByCurrencyId( integer $currency_id = )`

Return the first Order filtered by the currency_id column

Return the first Order filtered by the currency_id column

#### Parameters

$currency_id
  `integer`
  $currency_id

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByCurrencyRate( float $currency_rate = )`

Return the first Order filtered by the currency_rate column

Return the first Order filtered by the currency_rate column

#### Parameters

$currency_rate
  `float`
  $currency_rate

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByTransaction( string $transaction = )`

Return the first Order filtered by the transaction column

Return the first Order filtered by the transaction column

#### Parameters

$transaction
  `string`
  $transaction

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByDeliveryNum( string $delivery_num = )`

Return the first Order filtered by the delivery_num column

Return the first Order filtered by the delivery_num column

#### Parameters

$delivery_num
  `string`
  $delivery_num

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByInvoice( string $invoice = )`

Return the first Order filtered by the invoice column

Return the first Order filtered by the invoice column

#### Parameters

$invoice
  `string`
  $invoice

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByPostage( float $postage = )`

Return the first Order filtered by the postage column

Return the first Order filtered by the postage column

#### Parameters

$postage
  `float`
  $postage

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByPayment( string $payment = )`

Return the first Order filtered by the payment column

Return the first Order filtered by the payment column

#### Parameters

$payment
  `string`
  $payment

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByCarrier( string $carrier = )`

Return the first Order filtered by the carrier column

Return the first Order filtered by the carrier column

#### Parameters

$carrier
  `string`
  $carrier

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByStatusId( integer $status_id = )`

Return the first Order filtered by the status_id column

Return the first Order filtered by the status_id column

#### Parameters

$status_id
  `integer`
  $status_id

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByLang( string $lang = )`

Return the first Order filtered by the lang column

Return the first Order filtered by the lang column

#### Parameters

$lang
  `string`
  $lang

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByCreatedAt( string $created_at = )`

Return the first Order filtered by the created_at column

Return the first Order filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\Order``

`public `Thelia\Model\Order``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first Order filtered by the updated_at column

Return the first Order filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\Order``

`public array`

# `findById( integer $id = )`

Return Order objects filtered by the id column

Return Order objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByRef( string $ref = )`

Return Order objects filtered by the ref column

Return Order objects filtered by the ref column

#### Parameters

$ref
  `string`
  $ref

#### Returns

`array`

`public array`

# `findByCustomerId( integer $customer_id = )`

Return Order objects filtered by the customer_id column

Return Order objects filtered by the customer_id column

#### Parameters

$customer_id
  `integer`
  $customer_id

#### Returns

`array`

`public array`

# `findByAddressInvoice( integer $address_invoice = )`

Return Order objects filtered by the address_invoice column

Return Order objects filtered by the address_invoice column

#### Parameters

$address_invoice
  `integer`
  $address_invoice

#### Returns

`array`

`public array`

# `findByAddressDelivery( integer $address_delivery = )`

Return Order objects filtered by the address_delivery column

Return Order objects filtered by the address_delivery column

#### Parameters

$address_delivery
  `integer`
  $address_delivery

#### Returns

`array`

`public array`

# `findByInvoiceDate( string $invoice_date = )`

Return Order objects filtered by the invoice_date column

Return Order objects filtered by the invoice_date column

#### Parameters

$invoice_date
  `string`
  $invoice_date

#### Returns

`array`

`public array`

# `findByCurrencyId( integer $currency_id = )`

Return Order objects filtered by the currency_id column

Return Order objects filtered by the currency_id column

#### Parameters

$currency_id
  `integer`
  $currency_id

#### Returns

`array`

`public array`

# `findByCurrencyRate( float $currency_rate = )`

Return Order objects filtered by the currency_rate column

Return Order objects filtered by the currency_rate column

#### Parameters

$currency_rate
  `float`
  $currency_rate

#### Returns

`array`

`public array`

# `findByTransaction( string $transaction = )`

Return Order objects filtered by the transaction column

Return Order objects filtered by the transaction column

#### Parameters

$transaction
  `string`
  $transaction

#### Returns

`array`

`public array`

# `findByDeliveryNum( string $delivery_num = )`

Return Order objects filtered by the delivery_num column

Return Order objects filtered by the delivery_num column

#### Parameters

$delivery_num
  `string`
  $delivery_num

#### Returns

`array`

`public array`

# `findByInvoice( string $invoice = )`

Return Order objects filtered by the invoice column

Return Order objects filtered by the invoice column

#### Parameters

$invoice
  `string`
  $invoice

#### Returns

`array`

`public array`

# `findByPostage( float $postage = )`

Return Order objects filtered by the postage column

Return Order objects filtered by the postage column

#### Parameters

$postage
  `float`
  $postage

#### Returns

`array`

`public array`

# `findByPayment( string $payment = )`

Return Order objects filtered by the payment column

Return Order objects filtered by the payment column

#### Parameters

$payment
  `string`
  $payment

#### Returns

`array`

`public array`

# `findByCarrier( string $carrier = )`

Return Order objects filtered by the carrier column

Return Order objects filtered by the carrier column

#### Parameters

$carrier
  `string`
  $carrier

#### Returns

`array`

`public array`

# `findByStatusId( integer $status_id = )`

Return Order objects filtered by the status_id column

Return Order objects filtered by the status_id column

#### Parameters

$status_id
  `integer`
  $status_id

#### Returns

`array`

`public array`

# `findByLang( string $lang = )`

Return Order objects filtered by the lang column

Return Order objects filtered by the lang column

#### Parameters

$lang
  `string`
  $lang

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return Order objects filtered by the created_at column

Return Order objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return Order objects filtered by the updated_at column

Return Order objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`